pl_cputime.d(1m)

NAME
pl_cputime.d - measure Perl on-CPU times for subroutines.

SYNOPSIS
pl_cputime.d

DESCRIPTION
This traces Perl activity from all programs running on the system with Perl provider support. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_cputime.d

FIELDS

FILE
    Filename of the Perl program

TYPE
    Type of call (sub/total)

NAME
    Name of call (subroutine name)

TOTAL
    Total on-CPU time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_cputime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)